/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.Servlets;


import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import pe.siso.horario.Beans.Docente;
import pe.siso.horario.Beans.UbigeoDocente;
import pe.siso.horario.Services.DocenteServices;
import pe.siso.horario.Services.UbigeoDocenteServices;

/**
 *
 * @author sistem16user
 */
public class ServletUbigeoDocente extends HttpServlet {


    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      String param=request.getParameter("Accion");
       if("cargarDepartamento".equals(param)){
            cargarDepartamento(request,response);
        }else if("cargarProvincia".equals(param)){
            cargarProvincia(request,response);
        }else if("cargarDistrito".equals(param)){
            cargarDistrito(request,response);
        }else if("cargarDepartamento1".equals(param)){
            cargarDepartamento1(request,response);
        }else if("cargarProvincia1".equals(param)){
            cargarProvincia1(request,response);
        }else if("cargarDistrito1".equals(param)){
            cargarDistrito1(request,response);
        }
    }

    private void cargarDepartamento(HttpServletRequest request, HttpServletResponse response) throws IOException {
        UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        DocenteServices servicio = new DocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        String codDocente=request.getParameter("codDocente");
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        lista=servicios.cargarDepartamento();
        
        int codDepartamento=docente.getCodigoDep();
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
                for(int i=0; i< lista.size(); i++) {
                    if(codDepartamento==lista.get(i).getCod_dep_ubi()){
                         pw.println("<option value='"+lista.get(i).getCod_dep_ubi()+"' selected>"+lista.get(i).getNom_dep_ubi()+"</option>");
                    }else{
                         pw.println("<option value='"+lista.get(i).getCod_dep_ubi()+"' >"+lista.get(i).getNom_dep_ubi()+"</option>");
                    }

           
                }
                   

        pw.println("</select>");
    }

    private void cargarProvincia(HttpServletRequest request, HttpServletResponse response) throws IOException {
        UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        DocenteServices servicio = new DocenteServices();
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        int codDepartamento = Integer.parseInt(request.getParameter("codDepartamento"));
        String codDocente=request.getParameter("codDocente");
        
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        
        lista=servicios.cargarProvincia(codDepartamento);
        int codProvincia=docente.getCodigoPro();
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
                    if(codProvincia==lista.get(i).getCod_pro_ubi()){
                         pw.println("<option value='"+lista.get(i).getCod_pro_ubi()+"' selected>"+lista.get(i).getNom_pro_ubi()+"</option>");
                    }else{
                         pw.println("<option value='"+lista.get(i).getCod_pro_ubi()+"' >"+lista.get(i).getNom_pro_ubi()+"</option>");
                    }
        }

        pw.println("</select>");
    }

    private void cargarDistrito(HttpServletRequest request, HttpServletResponse response) throws IOException {
        UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        DocenteServices servicio = new DocenteServices();
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        int codDepartamento = Integer.parseInt(request.getParameter("codDepartamento"));
        int codProvincia = Integer.parseInt(request.getParameter("codProvincia"));
        String codDocente=request.getParameter("codDocente");
        
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        
        lista=servicios.cargarDistrito(codProvincia, codDepartamento);
        int codDistri=docente.getCodigoDis();
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
            if(codDistri==lista.get(i).getCod_dis_ubi()){
                pw.println("<option value='"+lista.get(i).getCod_dis_ubi()+"' selected>"+lista.get(i).getNom_dis_ubi()+"</option>");
                    }else{
                pw.println("<option value='"+lista.get(i).getCod_dis_ubi()+"' >"+lista.get(i).getNom_dis_ubi()+"</option>");
                    }
        }

        pw.println("</select>");
        
        
        
    }

    private void cargarDepartamento1(HttpServletRequest request, HttpServletResponse response) throws IOException {
        UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        DocenteServices servicio = new DocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        String codDocente=request.getParameter("codDocente");
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        lista=servicios.cargarDepartamento();
        
        int codDepartamento=docente.getCodigoDep();
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
                for(int i=0; i< lista.size(); i++) {
                    
                         pw.println("<option value='"+lista.get(i).getCod_dep_ubi()+"' >"+lista.get(i).getNom_dep_ubi()+"</option>");
                    

           
                }
                   

        pw.println("</select>");
    }

    private void cargarProvincia1(HttpServletRequest request, HttpServletResponse response) throws IOException {
        UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        DocenteServices servicio = new DocenteServices();
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        int codDepartamento = Integer.parseInt(request.getParameter("codDepartamento"));
        String codDocente=request.getParameter("codDocente");
        
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        
        lista=servicios.cargarProvincia(codDepartamento);
        int codProvincia=docente.getCodigoPro();
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
                    
                         pw.println("<option value='"+lista.get(i).getCod_pro_ubi()+"' >"+lista.get(i).getNom_pro_ubi()+"</option>");
                   
        }

        pw.println("</select>");
    }

    private void cargarDistrito1(HttpServletRequest request, HttpServletResponse response) throws IOException {
      UbigeoDocenteServices servicios = new UbigeoDocenteServices();
        ArrayList<UbigeoDocente> lista = null;
        DocenteServices servicio = new DocenteServices();
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        int codDepartamento = Integer.parseInt(request.getParameter("codDepartamento"));
        int codProvincia = Integer.parseInt(request.getParameter("codProvincia"));
        String codDocente=request.getParameter("codDocente");
        
        Docente docente=new Docente();
        docente=servicio.datosDocente(codDocente);
        
        lista=servicios.cargarDistrito(codProvincia, codDepartamento);
        int codDistri=docente.getCodigoDis();
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
            pw.println("<option value='"+lista.get(i).getCod_dis_ubi()+"' >"+lista.get(i).getNom_dis_ubi()+"</option>");
        }
        pw.println("</select>");

    }

}
